[SCM] live-build branch, debian-next, updated. debian/3.0_a57-1-18-gd7064df
Daniel Baumann
daniel at debian.org
Mon Aug 27 12:43:28 UTC 2012
The following commit has been merged in the debian-next branch:
commit d7064dfb271fca5b779e18655102d2eddecd0c35
Author: Daniel Baumann <daniel at debian.org>
Date: Mon Aug 27 14:43:27 2012 +0200
Applying patch from Colin Watson <cjwatson at ubuntu.com> to correct chroot hooks execution (Closes: #685534).
diff --git a/scripts/build/lb_binary_hooks b/scripts/build/lb_binary_hooks
index 07cf457..97faa30 100755
--- a/scripts/build/lb_binary_hooks
+++ b/scripts/build/lb_binary_hooks
@@ -43,17 +43,18 @@ Create_lockfile .lock
# Running hooks
for _HOOK in ${LB_BINARY_HOOKS}
do
- for LOCATION in "${LIVE_BUILD}/hooks" /usr/share/live/build/hooks
+ for LOCATION in "${LIVE_BUILD}/hooks" /usr/share/live/build/hooks
+ do
+ for FILE in "${LOCATION}"/???-"${_HOOK}".binary
do
- if [ -e "${LOCATION}/hooks/???-${_HOOK}.binary" ]
+ if [ -e "${FILE}" ]
then
cd binary
- ./"${LOCATION}/hooks/???-${_HOOK}.binary" || { Echo_error "${_HOOK} failed (exit non-zero). You should check for errors."; exit 1 ;}
+ ./"${FILE}" || { Echo_error "${_HOOK} failed (exit non-zero). You should check for errors."; exit 1 ;}
cd "${OLDPWD}"
-
- continue
fi
done
+ done
done
## Processing local hooks
diff --git a/scripts/build/lb_chroot_hooks b/scripts/build/lb_chroot_hooks
index 0ccfe2b..e8a03d0 100755
--- a/scripts/build/lb_chroot_hooks
+++ b/scripts/build/lb_chroot_hooks
@@ -54,12 +54,14 @@ for _HOOK in ${LB_CHROOT_HOOKS}
do
for LOCATION in "${LIVE_BUILD}/hooks" /usr/share/live/build/hooks
do
- if [ -e "${LOCATION}/hooks/???-${_HOOK}.binary" ]
- then
- mkdir -p chroot/root/lb_chroot_hooks
- cp "${LOCATION}"/hooks/???-"${_HOOK}".chroot chroot/root/lb_chroot_hooks
- continue
- fi
+ for FILE in "${LOCATION}"/???-"${_HOOK}".chroot
+ do
+ if [ -e "${FILE}" ]
+ then
+ mkdir -p chroot/root/lb_chroot_hooks
+ cp "${FILE}" chroot/root/lb_chroot_hooks
+ fi
+ done
done
done
--
live-build
More information about the debian-live-changes
mailing list